#
# spec file for package prometheus-exporters-formula
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define fname prometheus-exporters
%define fdir  %{_datadir}/susemanager/formulas
Name:           prometheus-exporters-formula
Version:        1.3.0
Release:        230900.1.2.uyuni3
Summary:        Salt formula for installing and configuring Prometheus exporters
License:        Apache-2.0
Group:          System/Packages
Url:            https://github.com/SUSE/salt-formulas
Source:         prometheus-exporters-formula-%{version}.tar.gz
BuildRequires:  python3
Requires:       python3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt formula for installing and configuring Prometheus exporters.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
mkdir -p %{buildroot}%{fdir}/scripts/%{fname}
cp -R prometheus-exporters/* %{buildroot}%{fdir}/states/%{fname}
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}
cp -R scripts/* %{buildroot}%{fdir}/scripts/%{fname}
chmod a+x %{buildroot}%{fdir}/scripts/%{fname}/*

%post
%{fdir}/scripts/%{fname}/migrate_formula_data.py

%files
%defattr(-,root,root)
%license LICENSE
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%dir %{fdir}/scripts
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}
%{fdir}/scripts/%{fname}

%changelog
* Mon Aug 14 2023 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.3.0
  * Add support for Apache exporter >= 1.0.0 (bsc#1214266)
* Fri Mar 11 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.2.0
  * Postres exporter package was renamed for RedHat
* Mon Feb 21 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.1.0
  * Postgres exporter package was renamed for SLES/openSUSE
* Fri Aug 20 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.0.3
- Fix formula data migration with missing exporter configuration (bsc#1188136)
* Fri Jul  2 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.0.2
- Fix null formula data dictionary values (bsc#1186025)
- Fix exporter exporter modules configuration
* Wed Jun  9 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.0.1
- Add support for older schema without proxy configuration
* Fri Apr 30 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 1.0.0
- Add TLS configuration for Node Exporter
- Move exporters configurations to dedicated group `prometheus_exporters`
- Add formula data schema migration script
- This version changes the formula data schema and is not backwards compatible.
  Downgrading from this version will require reconfiguring the formula for all your
  minions.
* Tue Oct 20 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.9.0
- Add Ubuntu support for Prometheus exporters' reverse proxy
* Tue Oct 13 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.8.0
- Fix empty directory values initialization
* Thu Oct  8 2020 Dario Maiocchi <dmaiocchi@suse.com>
- Add systemd collector as default for node_exporters
  since otherwise some SAP/HA grafana dashboards will be empty
* Mon Oct  5 2020 Witek Bedyk <witold.bedyk@suse.com>
- Disable reverse proxy on default
* Fri Oct  2 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.4
- Bugfix: Avoid inline-if statements without else sections
* Tue Sep 29 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.3
- Bugfix: More robust handling of NoneType arguments (bsc#1176844)
* Wed Sep 23 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.2
- Bugfix: Handle <NoneType> arguments (bsc#1176844)
* Mon Aug 24 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.1
- Bugfix: Handle exporters proxy for unsupported distros (bsc#1175555)
* Tue Jun  9 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7
- Add support for exporters proxy (exporter_exporter)
* Wed May 27 2020 Johannes Renner <jrenner@suse.com>
- Version 0.6
- Update the apache exporter config file for Debian
* Wed Oct 30 2019 Johannes Renner <jrenner@suse.com>
- Version 0.5
- Add support for provisioning the apache exporter
* Wed Sep 25 2019 Johannes Renner <jrenner@suse.com>
- Version 0.4
- Allow to configure arbitrary arguments when running exporters
- Add support for Debian/Ubuntu and Red Hat systems (RHEL/CentOS)
- Install the LICENSE together with the package
* Wed Apr 17 2019 Johannes Renner <jrenner@suse.com>
- Update service and config file name for postgres exporter
* Tue Apr  2 2019 Johannes Renner <jrenner@suse.com>
- Install package only if exporter is enabled
* Fri Mar 29 2019 Johannes Renner <jrenner@suse.com>
- Add support for postgres-exporter in prometheus-exporters
* Fri Feb  8 2019 jrenner@suse.com
- Initial version of prometheus-exporters-formula
